<template>
  <div id="login-user">
    <v-form ref="form" @submit.prevent="login">
      <!--Email-->
      <template>
        <label
          class="system_grey_1--text family-lato-black body-1-signbank"
          for="email"
        >
          {{ $t("auth.email") }}
        </label>

        <v-text-field
          name="email"
          id="email"
          v-model="form.email"
          outlined
          type="email"
        ></v-text-field>
      </template>

      <!--Password-->
      <template>
        <label
          class="system_grey_1--text family-lato-black body-1-signbank"
          for="password"
        >
          {{ $t("auth.password") }}
        </label>

        <v-text-field
          name="password"
          id="password"
          v-model="form.password"
          outlined
          @click:append="showPassword = !showPassword"
          :append-icon="showPassword ? 'mdi-eye' : 'mdi-eye-off'"
          :type="showPassword ? 'text' : 'password'"
          class="pt-1"
          hide-details="auto"
        ></v-text-field>
      </template>

      <!--Buttons-->
      <div class="text-center pt-6">
        <!--Login-->
        <v-btn
          depressed
          rounded
          color="warning"
          type="submit"
          large
          class="mb-2 mx-2"
          :loading="loading"
        >
          <span class="caption-signbank white--text family-openSans-bold">
            {{ $t("auth.login") }}
          </span>
        </v-btn>
      </div>
    </v-form>
  </div>
</template>
<script>
export default {
  data() {
    return {
      showPassword: false,
      form: {
        email: "",
        password: "",
      },
      loading: false,
    };
  },
  methods: {
    login() {
      this.$router.push(this.localePath("/dashboard"));
    },
  },
};
</script>
